//Copyright 2005 Tijmen van gulik
//Distributed on an as is basis. Apache License, Version 2.0
//http://www.apache.org/licenses/LICENSE-2.0
unit DialogAbout;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TdlgAbout = class(TForm)
    Panel2: TPanel;
    Panel1: TPanel;
    Label1: TLabel;
    laPurpose: TLabel;
    laAutor: TLabel;
    laVersion: TLabel;
    laWebsite: TLabel;
    laReadMe: TLabel;
    laLicence: TLabel;
    edPurpose: TEdit;
    edAuthor: TEdit;
    edVersion: TEdit;
    edWebsite: TEdit;
    edReadMe: TEdit;
    edLicence: TEdit;
    Panel3: TPanel;
    imgWizard: TImage;
    Panel4: TPanel;
    pbOk: TBitBtn;
    Edit1: TEdit;
    edMail: TEdit;
    Label2: TLabel;
    edProgram: TEdit;
    procedure edWebsiteClick(Sender: TObject);
    procedure edReadMeClick(Sender: TObject);
    procedure edLicenceClick(Sender: TObject);
    procedure edMailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dlgAbout: TdlgAbout;

implementation

uses Utilities;

{$R *.dfm}

procedure TdlgAbout.edWebsiteClick(Sender: TObject);
begin
  ShellExecuteDirect_Simple( 'iexplore', TLabel(Sender).Caption, '',False)

end;

procedure TdlgAbout.edReadMeClick(Sender: TObject);
begin
  ShellExecuteDirect_Simple( 'iexplore', ExtractFilePath(Application.ExeName)+edReadMe.Text, '',False)

end;

procedure TdlgAbout.edLicenceClick(Sender: TObject);
begin
  ShellExecuteDirect_Simple( 'iexplore', 'http://www.apache.org/licenses/LICENSE-2.0', '',False)
end;

procedure TdlgAbout.edMailClick(Sender: TObject);
begin
  ShellExecuteDirect_Simple( 'iexplore','mailto:'+edMail.Text, '',False)

end;

end.
